# Cilium ansible project
Ansible playbook to take an ubuntu-server 18.04.02 LTS machine and install docker with cilium, and examples on how to configure networking via ansible.

##Machine setup
Three disks:
 - vda1: 10G
 - vda2:  1G
 - vda3: 10G

##Ubuntu installation
Install Ubuntu Server 18.04.02 LTS with the following properties:
 * Manual filesystem setup
   - vda1: ext4 /
   - vda2: 
      1. Partition 1 500M: ext4 /tmp
      2. Partition 2 500M: swap
   - vda3 [ max. 10G ]: ext4 /var
 * Enter temporary password
 * Install OpenSSH server
 * No snaps required

##Ansible launch
To execute the example follow the following steps:
 * Edit `bin/update.sh` with the docker-compose and Cilium version you require
 * Run `bin/update.sh` to download the required files
    - Warning: the Cilium bin file is downloaded without checking the SSL certificate, because of a misconfigured server.
 * Run the playbooks in the following order to install docker, cilium and execute the "Getting started" example for l7 policies.

```
ansible-playbook 10_ansible_setup.yml 20_container_setup.yml 30_applications.yml
```
